require "scripts/style"


HeaderFont = {
  standardFont,
  30,
  BlackColor
};

BodyFont = {
  standardFont,
  16,
  BlackColor
};

local oklabel = "returntoplan";
	
if (gDialogTable.oklabel) then
	oklabel = gDialogTable.oklabel ;
end



PlaySound("POPUP-IN");

MakeDialog
{
	-- Name the modal dialog
	name="pausemenu",
	Bitmap
	{
		image="backgrounds/dialog",
		x=kCenter,
		y=kCenter,

    SetStyle(DialogTitleText),
		Text
		{			
			name = "gameover",		
			label = "gameover"
		};

    SetStyle(DialogBodyText),
		Text
		{			
			name = "earnedscore",			
			label = "earnedscore"
		};
		
		SetStyle(CheckboxButtonStyle),
		AppendStyle
		{
			tx=5, -- move the text over a bit
			w=150,-- set our common width
		},

		SetStyle(LongButtonStyle),
		AppendStyle
		{
			scale=1.2
		},

		Button
		{
			x=kCenter,
			y=kMax - 50,
			label=oklabel,
			close=true,
		},
	},
}